apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: apiserver-bkend-in
spec:
  hosts:
  - apiserver-bkend-in
  - apiserver.bkend.in
  http:
  - route:
    - destination:
        host: apiserver-bkend-in
        subset: v1
      weight: 50
    - destination:
        host: apiserver-bkend-in
        subset: v2
      weight: 50
---
apiVersion: networking.istio.io/v1alpha3
kind: DestinationRule
metadata:
  name: apiserver-bkend-in
spec:
  host: apiserver-bkend-in
  # trafficPolicy:
  #   tls:
  #     mode: ISTIO_MUTUAL
  subsets:
  - name: v1
    labels:
      version: v1
  - name: v2
    labels:
      version: v2
